********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### zasyxtail1 ###
c     
      subroutine zasyxtail1 (idel,ipc,excp)
      implicit integer*4 (i-n)
      implicit real*8(a-h,o-z)
      include 'commons8.inc'
      dimension excp(*),excptmp(10),pe(10)

c     In order to compare asymptotic values of exchange potentials
c     obtained when running the program with and without idbg(300) being
c     set one has to take into account a different sign convention
c     adopted when idbg(300) is set (the associated Legendre polynomials
c     P(k,q) are multiplied by (-1)**q). This results in some multipole
c     moments Q^{ab} having their sign reversed.

      sgn=1.d0
      idelt=idel/2
      if (2*idelt.ne.idel) sgn=-1.d0
      j=mxnmu
      i=(nni-1)/2
      call multi1(i,j,idel,ipc,pe)
      do m=1,impole
         excptmp(m)= r2*sgn*vxi(j)*pe(m)
      enddo
      write(*,1000) excptmp(1),(excptmp(m)-excptmp(m-1),m=2,impole),
     &     excptmp(impole)
 1000 format(4d16.8/5d16.8)
      return
      end
